# onyx_facts – Collect facts from Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Collects a base set of device facts from a ONYX Mellanox network devices This module prepends all of the base network fact keys with `ansible_net_<fact>`. The facts module will always collect a base set of facts from the device and can enable or disable collection of additional facts.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
gather_subset - | Default: "version" | When supplied, this argument will restrict the facts collected to a given subset. Possible values for this argument include all, version, module, and interfaces. Can specify a list of values to include a larger subset. Values can also be used with an initial `!` to specify that a specific subset should not be collected.

## Notes

Note

- Tested against ONYX 3.6

## Examples

    ---
    - name: Collect all facts from the device
      onyx_facts:
        gather_subset: all
    - name: Collect only the interfaces facts
      onyx_facts:
        gather_subset:
          - interfaces
    - name: Do not collect version facts
      onyx_facts:
        gather_subset:
          - "!version"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_net_gather_subset list | always | The list of fact subsets collected from the device
ansible_net_interfaces dictionary | when interfaces is configured | A hash of all interfaces running on the system
ansible_net_modules dictionary | when modules is configured | A hash of all modules on the systeme with status
ansible_net_version dictionary | when version is configured or when no gather_subset is provided | A hash of all currently running system image information

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Waleed Mousa (@waleedym), Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.